# Retrieve shipment rates in currency Returns all available shipping rates for a shipment object. When you create a new valid shipment object, Shippo automatically calculates all available rates. Depending on your shipment data, there may be none, one or multiple rates. By default, the calculated rates will return the price in two currencies under the amount and amount_local keys, respectively. The amount key will contain the price of a rate expressed in the currency that is used in the country from where the parcel originates, and the amount_local key will contain the price expressed in the currency that is used in the country the parcel is shipped to. You can request rates with prices expressed in a different currency by adding the currency code to the end of the resource URL. The full list of supported currencies along with their codes can be viewed on open exchange rates. Note: re-requesting the rates with a different currency code will re-queue the shipment (i.e. set the Shipment's status to QUEUED) and the converted currency rates will only be available when the Shipment's status is set to SUCCESS. Endpoint: GET /shipments/{ShipmentId}/rates/{CurrencyCode} Version: 2018-02-08 Security: APIKeyHeader ## Path parameters: - `ShipmentId` (string, required) Object ID of the shipment to update - `CurrencyCode` (string, required) ISO currency code for the rates ## Query parameters: - `page` (integer) The page number you want to select - `results` (integer) The number of results to return per page (max 100) ## Header parameters: - `SHIPPO-API-VERSION` (string) Optional string used to pick a non-default API version to use. See our API version guide. Example: "2018-02-08" ## Response 200 fields (application/json): - `next` (string) Example: "baseurl?page=3&results=10" - `previous` (string) Example: "baseurl?page=1&results=10" - `results` (array) - `results.amount` (string, required) Final Rate price, expressed in the currency used in the sender's country. Example: "5.5" - `results.amount_local` (string, required) Final Rate price, expressed in the currency used in the recipient's country. Example: "5.5" - `results.currency` (string, required) Currency used in the sender's country, refers to amount. The official ISO 4217 currency codes are used, e.g. USD or EUR. Example: "USD" - `results.currency_local` (string, required) Currency used in the recipient's country, refers to amount_local. The official ISO 4217 currency codes are used, e.g. USD or "EUR". Example: "USD" - `results.arrives_by` (string) Predicted time the carrier will deliver the package in the destination's local time zone. In the format HH:MM:SS. Example: "08:30:00" - `results.attributes` (array, required) An array containing specific attributes of this Rate in context of the entire shipment. Attributes can be assigned CHEAPEST, FASTEST, or BESTVALUE. Enum: "BESTVALUE", "CHEAPEST", "FASTEST" - `results.carrier_account` (string, required) Object ID of the carrier account that has been used to retrieve the rate. Example: "078870331023437cb917f5187429b093" - `results.duration_terms` (string) Further clarification of the transit times. Often, this includes notes that the transit time as given in "days" is only an average, not a guaranteed time. Example: "Delivery in 1 to 3 business days" - `results.estimated_days` (integer) Estimated transit time (duration) in days of the Parcel at the given servicelevel. Please note that this is not binding, but only an average value as given by the provider. Shippo is not able to guarantee any transit times. Example: 2 - `results.included_insurance_price` (string) Cost to the user to insure the Rate for the requested amount of coverage, if insurance coverage was requested. Expressed in the currency used in the sender's country. Will be null if no insurance coverage was requested, or if insurance is requested from a non-standard insurance provider. Please note this price is already included in the amount and amount_local fields on the Rate. Do not add this field to them. Example: "1.05" - `results.messages` (array) - `results.messages.source` (string) Origin of message Example: "UPS" - `results.messages.code` (string) Classification of message Example: "carrier_timeout" - `results.messages.text` (string) Message content Example: "UPS API did not respond. Please try again in a few minutes." - `results.object_created` (string, required) Date and time of Rate creation. - `results.object_id` (string, required) Unique identifier of the given Rate object. Example: "adcfdddf8ec64b84ad22772bce3ea37a" - `results.object_owner` (string, required) Username of the user who created the rate object. Example: "pp@gmail.com" - `results.provider` (string, required) Carrier offering the rate, e.g., FedEx or Deutsche Post DHL. Example: "USPS" - `results.provider_image_75` (string) URL to the provider logo with max. dimensions of 75*75px. Please refer to the provider's Logo Usage Guidelines before using the logo. Example: "https://cdn2.goshippo.com/providers/75/USPS.png" - `results.provider_image_200` (string) URL to the provider logo with max. dimensions of 200*200px. Please refer to the provider's Logo Usage Guidelines before using the logo. Example: "https://cdn2.goshippo.com/providers/200/USPS.png" - `results.servicelevel` (object, required) Contains details regarding the service level for the given rate. - `results.servicelevel.name` (string) Name of the Rate's servicelevel, e.g. International Priority or Standard Post. A servicelevel commonly defines the transit time of a Shipment (e.g., Express vs. Standard), along with other properties. These names vary depending on the provider. Example: "Priority Mail Express" - `results.servicelevel.terms` (string) Further clarification of the service. - `results.servicelevel.token` (string) Token of the Rate's servicelevel, e.g. usps_priority or fedex_ground. See servicelevels. Example: "usps_priority_express" - `results.servicelevel.extended_token` (string) Unique, extended version of the Service Level "token". Guaranteed to be unique across all Service Levels, and may help offer insight into the specific Service Level it describes. - `results.servicelevel.parent_servicelevel` (object) Contains details regarding the service level for the given rate. - `results.shipment` (string, required) Example: "adcfdddf8ec64b84ad22772bce3ea37a" - `results.test` (boolean) Indicates whether the object has been created in test mode. - `results.zone` (string) The parcel's transit zone token. These tokens can vary depending on the provider. Example: "1"